package com.blueland.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.blueland.bo.AuthEntity;
import com.blueland.model.TPfAuth;

import java.util.List;
import java.util.Map;

/**
 * @auther xcy
 * @create 2022-05-09 11:45
 */
public interface IAuthService extends IService<TPfAuth> {

    int findAuthByMenuIdRoleId(String menuId, String roleId);

    void deleteRole(String roleId,String appId);

    List<AuthEntity> getListByRoleId(String roleId);

    Map<String,AuthEntity> getMapByRoleId(String roleId);

    TPfAuth get(AuthEntity  bo);

    Page<AuthEntity> findPage(AuthEntity  bo);

    void deleteAuthByAppId(String appId);

    List<AuthEntity> findListByAppId(String appId);

}
